package com.feedback.demo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FeedBackOptionsDTO {
    private Long id;

    @NotNull
    private Integer optionOrder;

    @NotBlank
    private String optionValue;

}
