package com.feedback.demo.dto.login;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ChangePasswordRequest {
    @NotBlank(message = "Password not Empty !")
    @Size(min = 6, max = 32, message = "Choose a password 6–32 characters long." +
            "Your password can be any combination of letters, numbers")
    private String oldPass;

    @NotBlank(message = "Password Not Empty !")
    @Size(min = 6, max = 32, message = "Choose a password 6–32 characters long." +
            "Your password can be any combination of letters, numbers")
    private String newPass;
}
