package com.feedback.demo.mappers;

import com.feedback.demo.dto.FeedBackOptionsDTO;
import com.feedback.demo.entities.FeedBackOptions;

public class FeedBackOptionsMapper {
    public static FeedBackOptions toEntity(FeedBackOptionsDTO feedBackOptionsDTO){
        return FeedBackOptions.builder()
                .optionOrder(feedBackOptionsDTO.getOptionOrder())
                .optionValue(feedBackOptionsDTO.getOptionValue())
                .build();
    }
    public static FeedBackOptionsDTO toDTO(FeedBackOptions feedBackOptions){
        return FeedBackOptionsDTO.builder()
                .id(feedBackOptions.getId())
                .optionOrder(feedBackOptions.getOptionOrder())
                .optionValue(feedBackOptions.getOptionValue())
                .build();
    }
}
