package com.feedback.demo.mappers;

import com.feedback.demo.dto.FeedBackDTO;
import com.feedback.demo.entities.FeedBack;

public class FeedBackMapper {
    public static FeedBackDTO toDTO(FeedBack feedBack){
        return FeedBackDTO.builder()
                .id(feedBack.getId())
                .fullName(feedBack.getFullName())
                .appName(feedBack.getAppName())
                .email(feedBack.getEmail())
                .phone(feedBack.getPhone())
                .type(feedBack.getType())
                .content(feedBack.getContent())
                .imageUrl(feedBack.getImageUrl())
                .url(feedBack.getUrl())
                .createDate(feedBack.getCreateDate())
                .updateDate(feedBack.getUpdateDate())
                .build();
    }

    public static FeedBack toEntity(FeedBackDTO feedBackDTO){
        return FeedBack.builder()
                .id(feedBackDTO.getId())
                .fullName(feedBackDTO.getFullName())
                .appName(feedBackDTO.getAppName())
                .email(feedBackDTO.getEmail())
                .phone(feedBackDTO.getPhone())
                .type(feedBackDTO.getType())
                .content(feedBackDTO.getContent())
                .imageUrl(feedBackDTO.getImageUrl())
                .url(feedBackDTO.getUrl())
                .createDate(feedBackDTO.getCreateDate())
                .updateDate(feedBackDTO.getUpdateDate())
                .build();
    }
}
